
function parseXMLEventData(srcFile)
{
   var NODE_ELEMENT = 1;
   var xml = new ActiveXObject("Microsoft.XMLDOM");
   var arReturn = new Array(2);
   var ix = 0;

   xml.async = false;
   xml.loadXML(srcFile);

   if (xml.parseError.errorCode != 0)
   {
      writeError("DATA File", "filename", xml.parseError);
      return false;
   }
   else
   {
      for (ix = 0; ix < xml.childNodes.length; ix++)
      {
         var actions = xml.childNodes[ix].childNodes[0];
         var items = xml.childNodes[ix].childNodes[1];

         strReturn = new String();
         strReturn2 = new String();

         for (ix2 = 0; ix2 < actions.childNodes.length; ix2++)
         {
            var obj = actions.childNodes[ix2];
            var attr = returnAttributesList(obj);
            var contentString = new String("");

            contentString = obj.baseName + "|"
                          + attr["item_ref"] + "|"
                          + unescape(attr["target"]) + "|"
                          + attr["time"];

            strReturn += contentString;
            if (ix2 < actions.childNodes.length-1) strReturn += ",";
         }

         for (ix2 = 0; ix2 < items.childNodes.length; ix2++)
         {
            var obj = items.childNodes[ix2];
            var attr = returnAttributesList(obj);

            switch (obj.baseName)
            {
            case "image":
                  arReturn[1][arReturn[1].length] = new String("image|" +
                                                              attr["reference"] + "|" +
                                                              attr["filename"] + "|" +
                                                              attr["height"] + "|" +
                                                              attr["width"] + "|" +
                                                              unescape(attr["url"]) + "|" +
                                                              attr["caption"]);
                  break;
            case "text":
               strReturn2 += new String("text" + "|" +
                                        attr["reference"] + "|none|" +
                                        obj.text);
               break;
            case "layout":
                  arReturn[1][arReturn[1].length] = new String("layout" + "|" +
                                                              attr["reference"] + "|" +
                                                              attr["filename"]);
                  break;
            case "media":
                  arReturn[1][arReturn[1].length] = new String("media" + "| " +
                                                              attr["reference"] + "|" +
                                                              unescape(attr["url"]) + "|" +
                                                              attr["type"]);
                  break;
            case "chat_message":
                  arReturn[1][arReturn[1].length] = new String("chat_message" + "| " +
                                                              attr["reference"] + "|" +
                                                              attr["sender_name"] + "|" +
                                                              escape(obj.text));
                  break;
            case "question":
                  var questionObj = obj;
                  var questionText = new String("");

                  for (ix3 = 0; ix3 < questionObj.childNodes.length; ix3++)
                  {
                  if (questionObj.childNodes[ix3].baseName == "question_text")
                  {
                     if (questionText.indexOf("***") != -1)
                     {
                        questionText = questionObj.childNodes[ix3].text + "***" + questionText;
                     }
                     else
                     {
                           questionText = questionObj.childNodes[ix3].text + ":"
                           + questionObj.childNodes[ix3].attributes[0] + ":"
                           + questionObj.childNodes[ix3].attributes[1] + "***";
                     }
                  }
                  else
                  {
                      questionText += "***" + questionObj.childNodes[ix3].text;
                  }
               }

               arReturn[1][arReturn[1].length] = new String("question",
                                                              attr["reference"],
                                                              escape(questionText),
                                                              attr["DBID"],
                                                              attr["packID"],
                                                              attr["quizDBID"]);
               break;
            }
         }
      }

      return strReturn + "," + strReturn2;
   }
}

function returnAttributesList(xmlList)
{
   var arReturn = new String();

   if (!xmlList.attributes) return "";

   for (ix4 = 0; ix4 < xmlList.attributes.length; ix4++)
   {
      arReturn[xmlList.attributes[ix4].name] = escape(xmlList.attributes[ix4].value);
   }

   return arReturn;
}

function returnAttributesList(xmlList)
{
   var arReturn = new String();

   if (!xmlList.attributes) return "";

   for (ix4 = 0; ix4 < xmlList.attributes.length; ix4++)
   {
      arReturn[xmlList.attributes[ix4].name] = escape(xmlList.attributes[ix4].value);
   }

   return arReturn;
}


